SDL_GetAudioStreamOutputChannelMap(3)

NAME
SDL_GetAudioStreamOutputChannelMap - Get the current output channel map of an audio stream.

SYNOPSIS
#include <SDL3/SDL_audio.h>

int * SDL_GetAudioStreamOutputChannelMap(SDL_AudioStream *stream, int *count);

DESCRIPTION
Channel maps are optional; most things do not need them, instead passing data in the [order that SDL expects](CategoryAudio#channel-layouts).

Audio streams default to no remapping applied. This is represented by returning NULL, and does not signify an error.

FUNCTION PARAMETERS

stream
    the SDL_AudioStream to query.

count
    On output, set to number of channels in the map. Can be NULL.

RETURN VALUE
when it is no longer needed.

THREAD SAFETY
It is safe to call this function from any thread, as it holds a stream-specific mutex while running.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_SetAudioStreamInputChannelMap(3)